QSym
Keywords: uk.ac.bbk.dcs.automed.qproc.iql.QSym class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.qproc.iql
Class QSym

    java.lang.Object
      uk.ac.bbk.dcs.automed.qproc.iql.QSym

    public class QSym

extends java.lang.Object

CUP generated class containing symbol constants.

Field Summary
`static int` | `Bar`
`static int` | `BLSB`
`static int` | `Colon`
`static int` | `Comma`
`static int` | `ConsToken`
`static int` | `DateTimeToken`
`static int` | `EOF`
`static int` | `Equal`
`static int` | `error`
`static int` | `FloatToken`
`static int` | `In`
`static int` | `IntToken`
`static int` | `Lambda`
`static int` | `LArrow`
`static int` | `LCB`
`static int` | `LDAB`
`static int` | `Let`
`static int` | `LLSB`
`static int` | `LRB`
`static int` | `LSB`
`static int` | `OpToken`
`static int` | `RArrow`
`static int` | `RCB`
`static int` | `RDAB`
`static int` | `RRB`
`static int` | `RSB`
`static int` | `SemiColon`
`static int` | `SLSB`
`static int` | `Special`
`static int` | `StrToken`
`static int` | `SysConsToken`
`static int` | `SysVarToken`
`static int` | `UnderScore`
`static int` | `VarToken`

Constructor Summary
`QSym()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DateTimeToken

    public static final int DateTimeToken

See Also:
  Constant Field Values

### Colon

    public static final int Colon

See Also:
  Constant Field Values

### Bar

    public static final int Bar

See Also:
  Constant Field Values

### IntToken

    public static final int IntToken

See Also:
  Constant Field Values

### RSB

    public static final int RSB

See Also:
  Constant Field Values

### LLSB

    public static final int LLSB

See Also:
  Constant Field Values

### Comma

    public static final int Comma

See Also:
  Constant Field Values

### SLSB

    public static final int SLSB

See Also:
  Constant Field Values

### VarToken

    public static final int VarToken

See Also:
  Constant Field Values

### Special

    public static final int Special

See Also:
  Constant Field Values

### RArrow

    public static final int RArrow

See Also:
  Constant Field Values

### Lambda

    public static final int Lambda

See Also:
  Constant Field Values

### LCB

    public static final int LCB

See Also:
  Constant Field Values

### In

    public static final int In

See Also:
  Constant Field Values

### RDAB

    public static final int RDAB

See Also:
  Constant Field Values

### LRB

    public static final int LRB

See Also:
  Constant Field Values

### LArrow

    public static final int LArrow

See Also:
  Constant Field Values

### StrToken

    public static final int StrToken

See Also:
  Constant Field Values

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### UnderScore

    public static final int UnderScore

See Also:
  Constant Field Values

### FloatToken

    public static final int FloatToken

See Also:
  Constant Field Values

### LDAB

    public static final int LDAB

See Also:
  Constant Field Values

### BLSB

    public static final int BLSB

See Also:
  Constant Field Values

### error

    public static final int error

See Also:
  Constant Field Values

### OpToken

    public static final int OpToken

See Also:
  Constant Field Values

### SemiColon

    public static final int SemiColon

See Also:
  Constant Field Values

### SysVarToken

    public static final int SysVarToken

See Also:
  Constant Field Values

### RCB

    public static final int RCB

See Also:
  Constant Field Values

### ConsToken

    public static final int ConsToken

See Also:
  Constant Field Values

### SysConsToken

    public static final int SysConsToken

See Also:
  Constant Field Values

### Equal

    public static final int Equal

See Also:
  Constant Field Values

### RRB

    public static final int RRB

See Also:
  Constant Field Values

### LSB

    public static final int LSB

See Also:
  Constant Field Values

### Let

    public static final int Let

See Also:
  Constant Field Values

Constructor Detail

### QSym

    public QSym()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD